<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ACL/include/ACL/Transport/MessageRequestHandler.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_b1dfedc9efa610ba8c818c30206ff41f.html">ACL</a></li><li class="navelem"><a class="el" href="dir_1088b026815130b3cc8e9ac3f4525272.html">include</a></li><li class="navelem"><a class="el" href="dir_ce0d3eda4bb43bdcf8c1c51ff13ee585.html">ACL</a></li><li class="navelem"><a class="el" href="dir_711bc606e725cfd07f3f2b0a5f6ebc00.html">Transport</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MessageRequestHandler.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_message_request_handler_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2016-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_ACL_INCLUDE_ACL_TRANSPORT_MESSAGEREQUESTHANDLER_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_ACL_INCLUDE_ACL_TRANSPORT_MESSAGEREQUESTHANDLER_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_message_request_8h.html">AVSCommon/AVS/MessageRequest.h</a>&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_attachment_manager_8h.html">AVSCommon/AVS/Attachment/AttachmentManager.h</a>&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_h_t_t_p2_mime_request_source_interface_8h.html">AVSCommon/Utils/HTTP2/HTTP2MimeRequestSourceInterface.h</a>&gt;</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_exchange_handler_8h.html">ACL/Transport/ExchangeHandler.h</a>&quot;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_message_consumer_interface_8h.html">ACL/Transport/MessageConsumerInterface.h</a>&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_mime_response_status_handler_interface_8h.html">ACL/Transport/MimeResponseStatusHandlerInterface.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">namespace </span>acl {</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">   35</a></span>&#160;<span class="keyword">class </span><a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">MessageRequestHandler</a></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        : <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">ExchangeHandler</a></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface.html">avsCommon::utils::http2::HTTP2MimeRequestSourceInterface</a></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        , <span class="keyword">public</span> <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface.html">MimeResponseStatusHandlerInterface</a></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;        , <span class="keyword">public</span> std::enable_shared_from_this&lt;MessageRequestHandler&gt; {</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html#a2b17700f8c51fe82baeb7076e292c49c">~MessageRequestHandler</a>() <span class="keyword">override</span>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keyword">static</span> std::shared_ptr&lt;MessageRequestHandler&gt; <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html#ac8b6d572cfcd3ef568700e28dbeb604d">create</a>(</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        std::shared_ptr&lt;ExchangeHandlerContextInterface&gt; context,</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;        <span class="keyword">const</span> std::string&amp; authToken,</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;        std::shared_ptr&lt;avsCommon::avs::MessageRequest&gt; messageRequest,</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;        std::shared_ptr&lt;MessageConsumerInterface&gt; messageConsumer,</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        std::shared_ptr&lt;avsCommon::avs::attachment::AttachmentManager&gt; attachmentManager);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <a class="code" href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">MessageRequestHandler</a>(</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        std::shared_ptr&lt;ExchangeHandlerContextInterface&gt; context,</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keyword">const</span> std::string&amp; authToken,</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        std::shared_ptr&lt;avsCommon::avs::MessageRequest&gt; messageRequest);</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    <span class="keywordtype">void</span> reportMessageRequestAcknowledged();</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    <span class="keywordtype">void</span> reportMessageRequestFinished();</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    std::vector&lt;std::string&gt; getRequestHeaderLines() <span class="keyword">override</span>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_get_mime_headers_result.html">avsCommon::utils::http2::HTTP2GetMimeHeadersResult</a> getMimePartHeaderLines() <span class="keyword">override</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    <a class="code" href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">avsCommon::utils::http2::HTTP2SendDataResult</a> onSendMimePartData(<span class="keywordtype">char</span>* bytes, <span class="keywordtype">size_t</span> size) <span class="keyword">override</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    <span class="keywordtype">void</span> onActivity() <span class="keyword">override</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;    <span class="keywordtype">bool</span> onReceiveResponseCode(<span class="keywordtype">long</span> responseCode) <span class="keyword">override</span>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordtype">void</span> onResponseFinished(<a class="code" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">avsCommon::utils::http2::HTTP2ResponseFinishedStatus</a> status, <span class="keyword">const</span> std::string&amp; nonMimeBody)</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="keyword">override</span>;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    std::shared_ptr&lt;avsCommon::avs::MessageRequest&gt; m_messageRequest;</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;    std::string m_json;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span>* m_jsonNext;</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    <span class="keywordtype">size_t</span> m_countOfJsonBytesLeft;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">size_t</span> m_countOfPartsSent;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    std::shared_ptr&lt;avsCommon::avs::MessageRequest::NamedReader&gt; m_namedReader;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">bool</span> m_wasMessageRequestAcknowledgeReported;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <span class="keywordtype">bool</span> m_wasMessageRequestFinishedReported;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="keywordtype">long</span> m_responseCode;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;};</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;}  <span class="comment">// namespace acl</span></div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_ACL_INCLUDE_ACL_TRANSPORT_MESSAGEREQUESTHANDLER_H_</span></div><div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_get_mime_headers_result_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_get_mime_headers_result.html">alexaClientSDK::avsCommon::utils::http2::HTTP2GetMimeHeadersResult</a></div><div class="ttdef"><b>Definition:</b> HTTP2GetMimeHeadersResult.h:33</div></div>
<div class="ttc" id="_mime_response_status_handler_interface_8h_html"><div class="ttname"><a href="_mime_response_status_handler_interface_8h.html">MimeResponseStatusHandlerInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler_html_a2b17700f8c51fe82baeb7076e292c49c"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html#a2b17700f8c51fe82baeb7076e292c49c">alexaClientSDK::acl::MessageRequestHandler::~MessageRequestHandler</a></div><div class="ttdeci">~MessageRequestHandler() override</div><div class="ttdef"><b>Definition:</b> MessageRequestHandler.cpp:73</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_mime_request_source_interface.html">alexaClientSDK::avsCommon::utils::http2::HTTP2MimeRequestSourceInterface</a></div><div class="ttdef"><b>Definition:</b> HTTP2MimeRequestSourceInterface.h:35</div></div>
<div class="ttc" id="_message_consumer_interface_8h_html"><div class="ttname"><a href="_message_consumer_interface_8h.html">MessageConsumerInterface.h</a></div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_html_a31cdf3a4381c8885296ba2097263282e"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2.html#a31cdf3a4381c8885296ba2097263282e">alexaClientSDK::avsCommon::utils::http2::HTTP2ResponseFinishedStatus</a></div><div class="ttdeci">HTTP2ResponseFinishedStatus</div><div class="ttdef"><b>Definition:</b> HTTP2ResponseFinishedStatus.h:29</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler_html_ac8b6d572cfcd3ef568700e28dbeb604d"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html#ac8b6d572cfcd3ef568700e28dbeb604d">alexaClientSDK::acl::MessageRequestHandler::create</a></div><div class="ttdeci">static std::shared_ptr&lt; MessageRequestHandler &gt; create(std::shared_ptr&lt; ExchangeHandlerContextInterface &gt; context, const std::string &amp;authToken, std::shared_ptr&lt; avsCommon::avs::MessageRequest &gt; messageRequest, std::shared_ptr&lt; MessageConsumerInterface &gt; messageConsumer, std::shared_ptr&lt; avsCommon::avs::attachment::AttachmentManager &gt; attachmentManager)</div><div class="ttdef"><b>Definition:</b> MessageRequestHandler.cpp:78</div></div>
<div class="ttc" id="_h_t_t_p2_mime_request_source_interface_8h_html"><div class="ttname"><a href="_h_t_t_p2_mime_request_source_interface_8h.html">HTTP2MimeRequestSourceInterface.h</a></div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_exchange_handler.html">alexaClientSDK::acl::ExchangeHandler</a></div><div class="ttdef"><b>Definition:</b> ExchangeHandler.h:31</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_message_request_handler.html">alexaClientSDK::acl::MessageRequestHandler</a></div><div class="ttdef"><b>Definition:</b> MessageRequestHandler.h:35</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface_html"><div class="ttname"><a href="classalexa_client_s_d_k_1_1acl_1_1_mime_response_status_handler_interface.html">alexaClientSDK::acl::MimeResponseStatusHandlerInterface</a></div><div class="ttdef"><b>Definition:</b> MimeResponseStatusHandlerInterface.h:29</div></div>
<div class="ttc" id="_message_request_8h_html"><div class="ttname"><a href="_message_request_8h.html">MessageRequest.h</a></div></div>
<div class="ttc" id="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result_html"><div class="ttname"><a href="structalexa_client_s_d_k_1_1avs_common_1_1utils_1_1http2_1_1_h_t_t_p2_send_data_result.html">alexaClientSDK::avsCommon::utils::http2::HTTP2SendDataResult</a></div><div class="ttdef"><b>Definition:</b> HTTP2SendDataResult.h:31</div></div>
<div class="ttc" id="_exchange_handler_8h_html"><div class="ttname"><a href="_exchange_handler_8h.html">ExchangeHandler.h</a></div></div>
<div class="ttc" id="_attachment_manager_8h_html"><div class="ttname"><a href="_attachment_manager_8h.html">AttachmentManager.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
